import Report from "./../pages/report.vue"
import Login from "./../pages/login.vue"
import AccountsReceivable from "./../pages/accountsReceivable.vue"
import { getParameterByName } from "../utils/auth"

const routes = [
  { path: '/', component: Report},
  { path:'/login', component: Login},
  { path:'/accountsReceivable', component: AccountsReceivable},
]

const router = new VueRouter({routes ,mode:'hash'})

router.beforeEach((to, from, next) => {
  if (to.path !== '/login' && !getParameterByName('code')) {
    next({
      path:'login',
      query:{ path: getParameterByName('path') }
    })
  } else {
    next()
  }
})

export default router
